package domain

type ReportFilterTopQueryDTO struct {
	/*
	   按照计划过滤
	*/
	AdgroupIds *[]int64 `json:"adgroup_ids,omitempty" required:"false"`
	/*
	   转化效果周期，7：7天，15：15天
	*/
	Effect *int `json:"effect,omitempty" required:"false"`
	/*
	   按照计划组过滤
	*/
	CampaignIds *[]int64 `json:"campaign_ids,omitempty" required:"false"`
	/*
	   按照创意过滤
	*/
	CreativeIds *[]int64 `json:"creative_ids,omitempty" required:"false"`
	/*
	   归因逻辑，1：点击效果，0：展示效果
	*/
	EffectType *int `json:"effect_type,omitempty" required:"false"`
	/*
		按照素材过滤，素材id从adgroup查询接口获取，素材组合报表只支持根据标题素材id筛选
	*/
	MaterialId *int `json:"material_id,omitempty" required:"false"`
}

func (s *ReportFilterTopQueryDTO) SetAdgroupIds(v []int64) *ReportFilterTopQueryDTO {
	s.AdgroupIds = &v
	return s
}

func (s *ReportFilterTopQueryDTO) SetEffect(v int) *ReportFilterTopQueryDTO {
	s.Effect = &v
	return s
}

func (s *ReportFilterTopQueryDTO) SetCampaignIds(v []int64) *ReportFilterTopQueryDTO {
	s.CampaignIds = &v
	return s
}

func (s *ReportFilterTopQueryDTO) SetCreativeIds(v []int64) *ReportFilterTopQueryDTO {
	s.CreativeIds = &v
	return s
}

func (s *ReportFilterTopQueryDTO) SetEffectType(v int) *ReportFilterTopQueryDTO {
	s.EffectType = &v
	return s
}

func (s *ReportFilterTopQueryDTO) SetMaterialId(v int) *ReportFilterTopQueryDTO {
	s.MaterialId = &v
	return s
}
