package domain

type ReportTopQueryDTO struct {
	/*
	   排序字段
	*/
	OrderByField *string `json:"order_by_field,omitempty" required:"false" `

	/*
		结束日期，只支持查询近7天的数据，格式yyyy-MM-dd
	*/
	EndDate *string `json:"end_date" required:"true"`

	/*
		第几页
	*/
	PageNo *int `json:"page_no,omitempty" required:"false"`

	/*
		排序方式，ASC：正序、DESC：倒序
	*/
	OrderByType *string `json:"order_by_type,omitempty" required:"false"`

	/*
		每页多少条
	*/
	PageSize *int `json:"page_size,omitempty" required:"false"`

	/*
		分组条件，素材分组仅头条2.0支持，STAT_GROUP_BY_ADVERTISER_ID：按照广告主分组，STAT_GROUP_BY_CAMPAIGN_ID：按照计划组分组，STAT_GROUP_BY_ADGROUP_ID：按照计划分组，STAT_GROUP_BY_CREATIVE_ID：按照创意分组，STAT_GROUP_BY_TIME_DAY：按照天分组，STAT_GROUP_BY_MATERIAL_ID：按照素材分组，STAT_GROUP_BY_MATERIAL_X_ADGROUP_ID：按照素材X计划分组，STAT_GROUP_BY_COMBINATION_MATERIAL_ID：按照素材组合分组，STAT_GROUP_BY_COMBINATION_MATERIALX_CAMPAIGN_ID：按照素材组合X项目分组
	*/
	GroupBy *[]string `json:"group_by" required:"true"`

	/*
		需要返回的指标，不指定则返回默认指标
	*/
	Fields *[]string `json:"fields,omitempty" required:"false"`

	/*
		过滤条件
	*/
	Filtering *ReportFilterTopQueryDTO `json:"filtering,omitempty" required:"false"`

	/*
		开始日期，只支持查询近7天的数据，格式yyyy-MM-dd
	*/
	StartDate *string `json:"start_date" required:"true"`

	/*
		广告主id
	*/
	AdvertiserId *int64 `json:"advertiser_id" required:"true"`

	/*
		平台版本，9999：升级版API（仅巨量2.0API需传入）
	*/
	Version *int `json:"version,omitempty" required:"false"`
}

func (s *ReportTopQueryDTO) SetOrderByField(v string) *ReportTopQueryDTO {
	s.OrderByField = &v
	return s
}

func (s *ReportTopQueryDTO) SetEndDate(v string) *ReportTopQueryDTO {
	s.EndDate = &v
	return s
}

func (s *ReportTopQueryDTO) SetPageNo(v int) *ReportTopQueryDTO {
	s.PageNo = &v
	return s
}

func (s *ReportTopQueryDTO) SetOrderByType(v string) *ReportTopQueryDTO {
	s.OrderByType = &v
	return s
}

func (s *ReportTopQueryDTO) SetPageSize(v int) *ReportTopQueryDTO {
	s.PageSize = &v
	return s
}

func (s *ReportTopQueryDTO) SetGroupBy(v []string) *ReportTopQueryDTO {
	s.GroupBy = &v
	return s
}

func (s *ReportTopQueryDTO) SetFields(v []string) *ReportTopQueryDTO {
	s.Fields = &v
	return s
}

func (s *ReportTopQueryDTO) SetFiltering(v ReportFilterTopQueryDTO) *ReportTopQueryDTO {
	s.Filtering = &v
	return s
}

func (s *ReportTopQueryDTO) SetStartDate(v string) *ReportTopQueryDTO {
	s.StartDate = &v
	return s
}

func (s *ReportTopQueryDTO) SetAdvertiserId(v int64) *ReportTopQueryDTO {
	s.AdvertiserId = &v
	return s
}

func (s *ReportTopQueryDTO) SetVersion(v int) *ReportTopQueryDTO {
	s.Version = &v
	return s
}
